<div *ngIf="bAdded == false else added" class="float-left w-100 h-100 p-2 container bg-light text_darkmode">
    <div *ngIf="configDetails.wizard == true" class="brl w-100 p-1">
        <div class="brl label_wizard fs18 text-blue-corporate" style="flex:1;">
            New Task Wizard
        </div>
    </div>

    <div class="brl w-100 tab_container" style="flex:1;">
        <mat-tab-group animationDuration="0ms" [(selectedIndex)]="selectedTab">
            <mat-tab    class="bg-light text_darkmode"
                        [disabled]="configDetails.wizard == true" 
                        *ngFor="let tab of tabs; let i = index" 
                        label="{{tab}}">     
                <div class="content">
                    <tab [disabled]="!configDetails.wizard" [config]="configTab[tab]" [name]="tab" [data]="data.data[tab]" (result)="getChanges(tab, $event)"></tab>  
                </div>
            </mat-tab>
        </mat-tab-group>
    </div>

    <ng-container *ngIf="configDetails.wizard == true">
        <div class="float-right action_container mt-2" style="flex:1;">

            <button 
                class="mr-1 pl-2 pr-3 btn btn-md btn-primary action fs11"  
                [disabled]="selectedTab === 0"
                [ngClass]="{'btn-primary': selectedTab > 0, 'btn-light': selectedTab === 0}"
                (click)="nextStep(-1)"
            >
                <div class="text fs16">Passo Precedente</div>
            </button>

            <button *ngIf="selectedTab < 2"
                class="mr-0 pl-2 pr-3 btn btn-md action"  
                [ngClass]="{'btn-primary': bComplete == true, 'btn-light': bComplete === false}"
                [disabled]="bComplete == false"
                (click)="nextStep(1)"
            >
                <div class="text fs16">Passo Successivo</div>
            </button>

            <button 
            *ngIf="selectedTab == 2"
            class="mr-0 pl-2 pr-3 btn btn-md action"  
            [ngClass]="{'btn-danger': bComplete == true, 'btn-light': bComplete ===false}"
            [disabled]="bComplete == false || bAdding == true"
            (click)="saveNewTask()">

                <div class="brl text fs16">Aggiungi Nuovo Task</div>
                <div *ngIf="bAdding == true" class="brl nj-spinner nj-spinner--xs " role="status"></div>
            
            </button>
        </div>
    </ng-container>

    

    <div *ngIf="configDetails.wizard == false" class="float-right action_container" style="flex:1;">
        <!-- <button 
            class="mr-0 pl-2 pr-3  btn btn-md action"  
            [disabled]="bComplete == false || bChanged == false"
            [ngClass]="{'btn-primary': bComplete == true , 'btn-light': bComplete ===false}"
        >
            Salva Cambianmenti
        </button> -->
    </div>
</div>


<ng-template #added>
    <div class="float-left w-100 p-2 container bg-light text_darkmode" style="display:flex;flex-direction: row;justify-content: center;align-items: center;height:300px;">
        <span class="text2 fs18">Task aggiunto con successo</span>
    </div>
</ng-template>